## org.apache.ivy.osgi.util
Class ParseUtil

    java.lang.Object
      org.apache.ivy.osgi.util.ParseUtil

    public class ParseUtil

extends java.lang.Object

Constructor Summary
`ParseUtil()`

Method Summary
`static java.lang.String[]` `parseDelimitedString(java.lang.String value, java.lang.String delim)` Parses delimited string and returns an array containing the tokens.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParseUtil

    public ParseUtil()

Method Detail

### parseDelimitedString

    public static java.lang.String[] parseDelimitedString(java.lang.String value,
                                                          java.lang.String delim)

  Parses delimited string and returns an array containing the tokens. This parser obeys quotes, so the delimiter character will be ignored if it is inside of a quote. This method assumes that the quote character is not included in the set of delimiter characters.

  Parameters:
    `value` - the delimited string to parse.
    `delim` - the characters delimiting the tokens.
  Returns:
    an array of string tokens or null if there were no tokens.